package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 情报板信息
 */
@Data
@EqualsAndHashCode(callSuper=true)
@TableName(value = "pub_board_info")
public class BoardInfo extends BaseEntity {
    /**
     * 唯一标识
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 情报板名称
     */
    @TableField(value = "board_name")
    private String boardName;

    /**
     * 情报板路段
     */
    @TableField(value = "board_road_section")
    private String boardRoadSection;

    /**
     * 情报板方向
     */
    @TableField(value = "board_direction")
    private String boardDirection;

    /**
     * 情报板工桩号
     */
    @TableField(value = "board_mileage")
    private String boardMileage;

    /**
     * 情报板尺寸
     */
    @TableField(value = "board_size")
    private String boardSize;

    /**
     * 情报板品牌
     */
    @TableField(value = "board_brand")
    private String boardBrand;

    /**
     * 情报板通讯协议
     */
    @TableField(value = "board_communication_protocol")
    private String boardCommunicationProtocol;

    /**
     * 情报板IP
     */
    @TableField(value = "board_ip")
    private String boardIp;

    /**
     * 情报板端口号
     */
    @TableField(value = "board_port")
    private Integer boardPort;
}